{% extends 'header.html' %}

{% block content %}
    <div class="col-md-8 col-sm-6 col-xs-12 col-md-offset-2">
        <div class="x_panel">
            <div class="x_title">
                <h2>
                    <i class="fa fa-user"></i>
                    Update Profile
                </h2>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <div class="col-md-4 col-sm-4 col-xs-12 profile_pic">
                    <div class="profile_img">
                        <div id="crop-avatar">
                            {% load static %}
                            {% get_media_prefix as MEDIA_ROOT %}
                            {% if object.gender == "M" %}
                                <img src={% if object.avatar %}
                                    {{ MEDIA_ROOT }}{{ object.avatar }}{% else %}
                                    "{{ MEDIA_ROOT }}/images/male.png"
                                {% endif %} alt="No image" height="250px" width="250px"><br/>
                            {% endif %}
                            {% if object.gender == "F" %}
                                <img src={% if object.avatar %}
                                    {{ MEDIA_ROOT }}{{ object.avatar }}{% else %}
                                    "{{ MEDIA_ROOT }}/images/female.png"
                                {% endif %} alt="No image" height="250px" width="250px"><br/>
                            {% endif %}

                            <form action="" method="post" class="form-horizontal" enctype="multipart/form-data">
                                {% csrf_token %}
                                {% for field in form %}
                                    {% if field.id == "avatar-clear_id" %}
                                        {{ field }}
                                    {% endif %}
                                {% endfor %}
                            </form>
                        </div>
                    </div>
                </div>
                <div class="col-md-8 col-sm-8 col-xs-12">
                    <form action="" method="post" class="form-horizontal" enctype="multipart/form-data">
                        {% csrf_token %}
                        {% for field in form %}
                            <div class="form-group {% if field.errors %} has-error{% endif %}">
                                <label class="col-md-3 col-sm-3 col-xs-12 control-label"
                                       id={{ field.id_for_label }}>{{ field.label }}</label>
                                <div class="col-md-5 col-sm-5 col-xs-12">
                                    {{ field }}

                                    {% for error in field.errors %}
                                        <span class="help-block">
                                            {{ error|escape }}
                                        </span>
                                    {% endfor %}
                                </div>
                            </div>
                        {% endfor %}
                        <div class="col-sm-2 col-sm-offset-5">
                            <button type="submit" class="save btn btn-lg btn-success"
                                    value="Update">Update
                            </button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <br/>
{% endblock %}